> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenumero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Identity Verification

> Verify individual identities using BVN, NIN, Voter's Card, Driver's License, or Passport.

Verify individual identities using BVN, NIN, Voter's Card, Driver's License, or Passport.

***

## BVN Verification

Verify a Bank Verification Number.

```
POST /api/v1/business/verification/bvn
```

**Signature required:** Yes

### Request body

| Field            | Type   | Required | Description                             |
| ---------------- | ------ | -------- | --------------------------------------- |
| `bvn`            | string | Yes      | 11-digit BVN                            |
| `idempotencyKey` | string | No       | Unique key to prevent duplicate charges |

### Request example

```bash theme={null}
curl -X POST "https://api.usenumero.com/numeroaccount/api/v1/business/verification/bvn" \
  -H "Content-Type: application/json" \
  -H "X-Numero-Api-Key: your_api_key" \
  -H "X-Numero-Signature: $SIGNATURE" \
  -H "X-Numero-Signature-Version: v2" \
  -d '{
    "bvn": "12345678901",
    "idempotencyKey": "bvn-check-user123"
  }'
```

***

## BVN Advanced

BVN verification with extended data (photo, additional details).

```
POST /api/v1/business/verification/bvn-advanced
```

### Request body

| Field            | Type   | Required | Description                             |
| ---------------- | ------ | -------- | --------------------------------------- |
| `bvn`            | string | Yes      | 11-digit BVN                            |
| `idempotencyKey` | string | No       | Unique key to prevent duplicate charges |

***

## NIN Verification

Verify a National Identification Number.

```
POST /api/v1/business/verification/nin
```

### Request body

| Field            | Type   | Required | Description                             |
| ---------------- | ------ | -------- | --------------------------------------- |
| `nin`            | string | Yes      | 11-digit NIN                            |
| `idempotencyKey` | string | No       | Unique key to prevent duplicate charges |

***

## PVC (Voter's Card)

Verify a Permanent Voter's Card number.

```
POST /api/v1/business/verification/pvc
```

### Request body

| Field            | Type   | Required | Description                             |
| ---------------- | ------ | -------- | --------------------------------------- |
| `pvc`            | string | Yes      | PVC number                              |
| `idempotencyKey` | string | No       | Unique key to prevent duplicate charges |

***

## PVC Premium

PVC verification with extended data.

```
POST /api/v1/business/verification/pvc-premium
```

### Request body

Same as PVC above.

***

## Driver's License (FRSC)

Verify a driver's license number.

```
POST /api/v1/business/verification/frsc
```

### Request body

| Field            | Type   | Required | Description                             |
| ---------------- | ------ | -------- | --------------------------------------- |
| `frsc`           | string | Yes      | Driver's license number                 |
| `idempotencyKey` | string | No       | Unique key to prevent duplicate charges |

***

## International Passport

Verify a Nigerian international passport.

```
POST /api/v1/business/verification/passport
```

### Request body

| Field            | Type   | Required | Description                             |
| ---------------- | ------ | -------- | --------------------------------------- |
| `passport`       | string | Yes      | Passport number                         |
| `lastName`       | string | Yes      | Passport holder's last name             |
| `dateOfBirth`    | string | Yes      | Date of birth (YYYY-MM-DD)              |
| `idempotencyKey` | string | No       | Unique key to prevent duplicate charges |

### Request example

```bash theme={null}
curl -X POST "https://api.usenumero.com/numeroaccount/api/v1/business/verification/passport" \
  -H "Content-Type: application/json" \
  -H "X-Numero-Api-Key: your_api_key" \
  -H "X-Numero-Signature: $SIGNATURE" \
  -H "X-Numero-Signature-Version: v2" \
  -d '{
    "passport": "A12345678",
    "lastName": "Doe",
    "dateOfBirth": "1990-05-15"
  }'
```
